# OpenSC API Reference

sc_delete_record
3
opensc

# sc_delete_record

Delete a record from a file

## Synopsis

    #include <opensc.h>

    int sc_delete_record(struct sc_card *card, unsigned int rec_nr);

## Description

This function deletes a record specified by rec_nr on card. This is not a standard ISO 7816 operation, and is currently only supported on the Oberthur smart cards.

## Return value

Returns 0 if successful, or a negative value in case of error.